Bug 362301 - rhn-delete-package should be able to delete SRPMS without matching RPMS
rhn-delete-package should be able to delete SRPMS without matching RPMS
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Devel
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
: 362681 (view as bug list)
Depends On:
Blocks: 425231 427574
  Show dependency treegraph
Reported: 2007-11-01 14:24 EDT by James Bowes
Modified: 2013-01-10 04:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-29 16:28:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-11-01 14:24:46 EDT
The existing implementation of rhn-delete-package takes as an argument a binary
rpm name, and an optional flag saying if you should delete the source rpm for
that rpm. This means that you can't delete a SRPM if you deleted the RPM first.
Comment 1 James Bowes 2007-11-02 09:54:54 EDT
*** Bug 362681 has been marked as a duplicate of this bug. ***
Comment 2 James Bowes 2007-12-18 11:27:34 EST
Test plan:
Use the webui to find a package that has an associated source rpm.
use rhn-delete-package-internal to delete the rpm:
rhn-delete-package --orgid="" --package=foo-1.2.3.noarch
now delete the source rpm (no longer has a matching rpm):
rhn-delete-package --orgid="" --package=foo-1.2.3.src.rpm --sources --commit

verify that the entry is removed from the database using a sql client:

select org_id from rhnPackageSource ps, rhnSourceRpm sr
where ps.source_rpm_id = sr.id
and sr.name='foo-1.2.3.src.rpm

The result should be a non NULL value (the recycled org id)

Note You need to log in before you can comment on or make changes to this bug.